/*
 * vga.h
 */

/* VGA ports */
#define ATTRIB_REG              0x3c0
#define PEL_MASK_REG            0x3c6
#define DAC_STAT_REG            0x3c7
#define PEL_READ_ADDR_REG       0x3c7
#define PEL_WRITE_ADDR_REG      0x3c8
#define PEL_DATA_REG            0x3c9
#define INPUT_STATUS            0x3da

/* VGA functions */
void    SetPalette(unsigned char, unsigned short int);
void    GraphicsInit();
void    GraphicsDeinit();
